



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>DevOps之一 Gitlab的安装与配置</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">DevOps之一 Gitlab的安装与配置</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-01-28 10:24:19 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p><strong>gitlab的安装</strong></p>
<p>参考治疗：https://www.gitlab.com.cn/installation/#centos-7</p>
<p>http://www.21yunwei.com/archives/4351</p>
<p>1.<strong>安装并配置必要的依赖关系</strong></p>
<p>如果你想使用 Postfix 发送邮件，请在安装过程中根据提示选择 'Internet Site'。 你也可以用 Sendmail 或者&nbsp;<a href="https://docs.gitlab.com.cn/omnibus/settings/smtp.html" rel="external nofollow noreferrer">配置一个自定义的 SMTP 服务</a>并&nbsp;把它作为一个 SMTP 服务器。</p>
<p>在 CentOS 系统上，下面的命令将会打开系统防火墙 HTTP 和 SSH 的访问。</p>
<div>
<pre class="prettyprint linenums">sudo yum install curl policycoreutils openssh-server openssh-clients<br />
sudo systemctl enable sshd<br />
sudo systemctl start sshd<br />
sudo yum install postfix<br />
sudo systemctl enable postfix<br />
sudo systemctl start postfix

sudo firewall-cmd --permanent --add-service=http<br />
sudo systemctl reload firewalld</pre>
</div>
<p>2.<strong>&nbsp;添加 GitLab 镜像源并安装</strong></p>
<div>
<pre class="prettyprint linenums">curl -sS http://packages.gitlab.com.cn/install/gitlab-ce/script.rpm.sh | sudo bash<br />
sudo yum install gitlab-ce</pre>
</div>
<p>如果你不太习惯使用命令管道的方式安装镜像仓库，你可以在这里找到&nbsp;完整的安装脚本&nbsp;或者&nbsp;<a href="https://mirrors.tuna.tsinghua.edu.cn/gitlab-ce/yum/" rel="external nofollow noreferrer">选择系统对应的安装包</a>&nbsp;使用下面的命令手动安装</p>
<div>
<pre class="prettyprint linenums">curl -LJO https://mirrors.tuna.tsinghua.edu.cn/gitlab-ce/yum/el7/gitlab-ce-XXX.rpm<br />
rpm -i gitlab-ce-XXX.rpm</pre>
</div>
<p><strong>3.配置并启动 GitLab</strong></p>
<div>
<pre class="prettyprint linenums">sudo gitlab-ctl reconfigure</pre>
</div>
<p><strong>&nbsp;4.密码修改</strong></p>
<p>第一次访问 GitLab（http://IP）默认端口是80，系统会重定向 url 到重置密码的页面，你需要输入初始化管理员账号的密码。 设置完成后，系统会重定向到登录界面，你就可以使用刚才输入的密码登录系统了。低版本gitlab默认用户名和密码：root/5iveL!fe</p>
<p>系统默认的管理员账号为&nbsp;<strong>root</strong>， 登录系统后，你可以修改管理员账号为自己喜欢的账号。</p>
<p><strong>5.修改Domain到Ip</strong></p>
<p>把localhost 换成本机的IP地址，修改方式如下，在gitlab的/embedded/service/gitlab-rails/config的目录下修改gitlab.yum文件：</p>
<div>
<pre class="prettyprint linenums">cd /opt/gitlab/embedded/service/gitlab-rails/config</pre>
<pre class="prettyprint linenums">sudo vim&nbsp;gitlab.yml&nbsp;&nbsp;</pre>
</div>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/57115/201712/57115-20171220163020975-1459220962.png" /></p>
<p>修改该完成后重新启动Gitlab</p>
<div>
<pre class="prettyprint linenums">sudo gitlab-ctl restart</pre>
</div>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/1q2x11x9.html">&lbrack;leetcode&rsqb; 题型整理之查找</a>
		</li>
						<li><a href="https://www.batexi.com/a/r93n7m0q.html">Android百度地图附加搜索和公交路线方案搜索</a>
		</li>
						<li><a href="https://www.batexi.com/a/e9pvn7y9.html">Scrum三大角色特点</a>
		</li>
						<li><a href="https://www.batexi.com/a/96o3yjy9.html">VS2008安装SP1补丁后智能提示从中文变为英文的解决办法</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gm3k4e9.html">CentOS编译安装Python3</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvvr42oq.html">IDEA 创建Web项目并在Tomcat中部署运行</a>
		</li>
						<li><a href="https://www.batexi.com/a/96oe56j9.html">Fancybox&mdash;&mdash;学习（1）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnjjykj8.html">每天努力一点之SQL</a>
		</li>
						<li><a href="https://www.batexi.com/a/8eyg13x9.html">CSS Sprites的优缺点</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pd4vz49.html">Android项目实战（五十四）：zxing 生成二维码图片去除白色内边距的解决方案</a>
		</li>
						<li><a href="https://www.batexi.com/a/950e4xz8.html">jquery快速入门（三）</a>
		</li>
						<li><a href="https://www.batexi.com/a/96pv36j8.html">MySQL时区错误导致server time zone value &amp;&num;39&semi;&amp;&num;214&semi;&amp;&num;208&semi;&amp;&num;185&semi;&amp;&num;250&semi;&amp;&num;177&semi;&amp;&num;234&semi;&amp;&num;215&semi;&amp;&num;188&semi;&amp;&num;202&semi;&amp;&num;177&semi;&amp;&num;188&semi;&amp;&num;228&semi;&amp;&num;39&semi; 错误</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7oze2j8.html">IntelliJ IDEA插件系列</a>
		</li>
						<li><a href="https://www.batexi.com/a/qllnxk6q.html">docker 系列 - Dock高阶知识点文章汇集</a>
		</li>
						<li><a href="https://www.batexi.com/a/qyyrpyxq.html">IDEA创建lo4j模板</a>
		</li>
						<li><a href="https://www.batexi.com/a/95gw3emq.html">Shell脚本笔记（六）呈现数据</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxdr31d9.html">jquery实现星级评分</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zyndj39.html">&lbrack;SDOI2016&rsqb;游戏 树剖&plus;李超树</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zkeznx8.html">软工实践-Beta 冲刺 （2&sol;7）</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kodjyjq.html">C&num;基础-代码部署数据库及IIS站点</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/qxkmkdd8.html">学习tornado：模板</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7zyzjg9.html">【Python】Talk Python To Me Podcast播客</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7zyoje9.html">《java入门第一季》之面向对象匿名内部类面试题</a>
			</li>
						<li><a href="https://www.batexi.com/a/8kpgo1r9.html">AngularJS进阶&lpar;二十三&rpar;ANGULAR三宗罪之版本陷阱</a>
			</li>
						<li><a href="https://www.batexi.com/a/90mx22o8.html">【面试笔试算法】牛客网一站通Offer编程题2016&period;4&period;19</a>
			</li>
						<li><a href="https://www.batexi.com/a/qlj31o09.html">Android官方技术文档翻译&mdash;&mdash;清单合并</a>
			</li>
						<li><a href="https://www.batexi.com/a/950kp2e8.html">RecyclerView notifyItem闪烁的问题</a>
			</li>
						<li><a href="https://www.batexi.com/a/q1k65e09.html">Java-ServletContextEvent-ServletContextAttributeEvent</a>
			</li>
						<li><a href="https://www.batexi.com/a/9pdomzz9.html">Java-ServletContext</a>
			</li>
						<li><a href="https://www.batexi.com/a/q1k6p449.html">TCP的核心系列 &mdash; 重传队列的更新和时延的采样（一）</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
